header,
footer {
  /* -row- */
  .container {
    padding-right: 20px;
    padding-left: 20px;
  }

  .row {
    display: flex;
    flex-flow: row wrap;
    margin-right: -8px;
    margin-left: -8px;
  }

  [class*='col-'] {
    flex-basis: 100%;
    max-width: 100%;
    padding-right: 8px;
    padding-left: 8px;
  }

  .row.reverse {
    flex-direction: row-reverse;
  }

  @media (width >=768px) {
    .container {
      width: 100%;
      margin-right: auto;
      margin-left: auto;
      padding-right: 56px;
      padding-left: 56px;
    }

    .row {
      display: flex;
      flex-flow: row wrap;
      margin-right: -12px;
      margin-left: -12px;
    }

    [class*='col-'] {
      flex-basis: 100%;
      max-width: 100%;
      padding-right: 12px;
      padding-left: 12px;
    }

    .col-sm-1 {
      flex-basis: 8.3333%;
      max-width: 8.3333%;
    }

    .col-sm-2 {
      flex-basis: 16.6667%;
      max-width: 16.6667%;
    }

    .col-sm-3 {
      flex-basis: 25%;
      max-width: 25%;
    }

    .col-sm-4 {
      flex-basis: 33.3333%;
      max-width: 33.3333%;
    }

    .col-sm-5 {
      flex-basis: 41.6667%;
      max-width: 41.6667%;
    }

    .col-sm-6 {
      flex-basis: 50%;
      max-width: 50%;
    }

    .col-sm-7 {
      flex-basis: 58.3333%;
      max-width: 58.3333%;
    }

    .col-sm-8 {
      flex-basis: 66.6667%;
      max-width: 66.6667%;
    }

    .col-sm-9 {
      flex-basis: 75%;
      max-width: 75%;
    }

    .col-sm-10 {
      flex-basis: 83.3333%;
      max-width: 83.3333%;
    }

    .col-sm-11 {
      flex-basis: 91.6667%;
      max-width: 91.6667%;
    }

    .col-sm-12 {
      flex-basis: 100%;
      max-width: 100%;
    }
  }

  @media (width >=1366px) {
    .container {
      width: 1366px;
      max-width: 100%;
      margin-right: auto;
      margin-left: auto;
      padding-right: 56px;
      padding-left: 56px;
    }

    .col-lg-1 {
      flex-basis: 8.3333%;
      max-width: 8.3333%;
    }

    .col-lg-2 {
      flex-basis: 16.6667%;
      max-width: 16.6667%;
    }

    .col-lg-3 {
      flex-basis: 25%;
      max-width: 25%;
    }

    .col-lg-4 {
      flex-basis: 33.3333%;
      max-width: 33.3333%;
    }

    .col-lg-5 {
      flex-basis: 41.6667%;
      max-width: 41.6667%;
    }

    .col-lg-6 {
      flex-basis: 50%;
      max-width: 50%;
    }

    .col-lg-7 {
      flex-basis: 58.3333%;
      max-width: 58.3333%;
    }

    .col-lg-8 {
      flex-basis: 66.6667%;
      max-width: 66.6667%;
    }

    .col-lg-9 {
      flex-basis: 75%;
      max-width: 75%;
    }

    .col-lg-10 {
      flex-basis: 83.3333%;
      max-width: 83.3333%;
    }

    .col-lg-11 {
      flex-basis: 91.6667%;
      max-width: 91.6667%;
    }

    .col-lg-12 {
      flex-basis: 100%;
      max-width: 100%;
    }
  }

  /*
        Arena Style Begins
    */

  :root {
    /* Colors */
    --neutrals-headings: #1d1d1d;
    --primary-text: #171d9b;
    --fill-inside: #171d9b;
    --secondary-gray-100: #ededed;
    --secondary-gray-800: #575a5e;
    --inactive-content: #939393;
    --tertiary-medium-grey: #b2b2b2;
    --background-color: white;
    --light-color: #eee;
    --text-color: black;
    --nav-background-color: #f2f2f2;
    --grey-shade-11: #323232;
    --grey-shade-12: #d0d0d0;
    --gradients-accent-section-bg-1: linear-gradient(228deg, rgba(23, 29, 155, 0.1) 31.52%, rgba(255, 98, 0, 0.1) 111.9%);

    /* Fonts */
    --fixed-font-family: 'Fira Sans', sans-serif;
    --corp-fort-family: 'Lato Regular', sans-serif;
    --body-font-size-s: 18px;

    /* Heading sizes */
    --heading-font-size-xxl: 48px;
    --heading-font-size-xl: 40px;
    --heading-font-size-l: 32px;
    --heading-font-size-m: 24px;
    --heading-font-size-s: 20px;
    --heading-font-size-xs: 18px;

    /* Font variables */
    --heading-font-11-mob-text-small: 0.75rem;
    --heading-lh-4--mob-text-medium: 1.125rem;
    --heading-lh-24-mob-text-small: 1.4375rem;
    --heading-font-25-des: 2.125rem;

    /* Corporate page colors */
    --dialog-background: #fefefe;
    --dialog-close-blue: #18498e;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: var(--primary-font-arena);
    font-style: normal;
    font-weight: 500;
    line-height: normal;
  }

  p {
    font-family: var(--body-font-arena);
    font-size: 0.8rem;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
    /* 133.333% */
  }

  h1,
  .heading-1 {
    font-size: 4rem;
    line-height: 5rem;
    /* 125% */
  }

  h2,
  .heading-2 {
    font-size: 3rem;
    line-height: 4.0625rem;
    /* 135.417% */
  }

  h3,
  .heading-3 {
    font-size: 24px;
    line-height: 2.0625rem;
    /* 137.5% */
  }

  h4,
  .heading-4 {
    font-size: 18px;
    line-height: 1.375rem;
    /* 122.222% */
  }

  /* ----------------------
       BUTTONS STYLE
       -------------------------- */

  .button,
  a.button,
  button.button,
  input[type='button'],
  input[type='submit'],
  input[type='reset'] {
    display: inline-flex;
    padding: 0.5rem 1rem;
    justify-content: center;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    font-family: var(--body-font-arena);
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.125rem;
    transition: all 0.3s linear;
    position: relative !important;

    @media (width >=1024px) {
      font-size: 1rem;
    }
  }

  @media (width >=768px) {
    :root {
      --nav-height: 64px;
    }

    h1,
    .heading-1 {
      font-size: 84px;
      line-height: normal;
    }

    h2,
    .heading-2 {
      font-size: 64px;
      line-height: normal;
    }

    h3,
    .heading-3 {
      font-size: 48px;
      line-height: normal;
    }

    h4,
    .heading-4 {
      font-size: 24px;
      line-height: normal;
    }

    p {
      font-size: 16px;
      line-height: 24px;
      /* 133.333% */
    }

    .button,
    a.button,
    button.button,
    input[type='button'],
    input[type='submit'],
    input[type='reset'] {
      display: inline-flex;
      padding: 0.75rem 1.5rem;
      justify-content: center;
      align-items: center;
      gap: 10px;
      font-style: normal;
      font-weight: 400;
      /* 128.571% */
    }
  }

  /*
        Arena Style Ends
    */

  @media (width >=999px) {
    :root {
      --heading-font-size-xxl: 60px;
      --heading-font-size-xl: 48px;
      --heading-font-size-l: 36px;
      --heading-font-size-m: 30px;
      --heading-font-size-s: 24px;
      --heading-font-size-xs: 22px;
      --nav-height: 64px;
    }
  }

  h1 {
    font-size: var(--heading-font-size-xxl);
  }

  h2 {
    font-size: var(--heading-font-size-xl);
  }

  h3 {
    font-size: var(--heading-font-size-l);
  }

  h4 {
    font-size: var(--heading-font-size-m);
  }

  h5 {
    font-size: var(--heading-font-size-s);
  }

  h6 {
    font-size: var(--heading-font-size-xs);
  }

  p,
  dl,
  ol,
  ul,
  pre,
  blockquote {
    margin-top: 1em;
    margin-bottom: 1em;
  }

  code,
  pre {
    font-family: var(--fixed-font-family);
    font-size: var(--body-font-size-s);
  }

  code {
    padding: 0.125em;
  }

  pre {
    overflow: scroll;
  }

  main pre {
    background-color: var(--light-color);
    padding: 1em;
    border-radius: 0.25em;
    overflow-x: auto;
    white-space: pre;
  }

  .flex {
    display: flex;
  }

  .icon img {
    height: 100%;
    width: 100%;
  }

  .navbar {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 1rem;
  }
}

.menu__bgoverlay {
  position: fixed;
  pointer-events: auto;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.43);
  backdrop-filter: blur(6px);
  z-index: 100;
  display: none;
}

html:has(meta[name='nav'][content='/common/corp-nav']) {
  /* Nav */
  --nav-height: 74px;
  @media (width >=768px) {
    --nav-height: 64px;
  }
  @media (width >=999px) {
    --nav-height: 64px;
  }
  main {
    margin-top: calc(-1 * var(--nav-height));
  }
}
